import {
  DebugChannel
} from "../../chunk-KDICZUFL.js";
import {
  ResillientChannel
} from "../../chunk-SW4YMCQK.js";
import "../../chunk-CAGNHRBK.js";
import "../../chunk-OPA3P4S3.js";
import "../../chunk-7QYVSWCZ.js";
import "../../chunk-OC6HNIEN.js";
import "../../chunk-BORRWM4T.js";
import "../../chunk-734RUVRO.js";
import "../../chunk-3K65A2PU.js";
import "../../chunk-L324TYGN.js";
import "../../chunk-K7Z2KDW3.js";
import "../../chunk-GY34N3KU.js";
import "../../chunk-QUKKMPRF.js";
import "../../chunk-QLW2QJ6C.js";
import "../../chunk-LUGJYROQ.js";
import "../../chunk-4P5GCQLI.js";
import "../../chunk-MFUX7YH7.js";
import "../../chunk-MTV32UFZ.js";
import "../../chunk-NNCJ3QL5.js";
import "../../chunk-CV2N52ZM.js";
import "../../chunk-JAGWOLOG.js";
import "../../chunk-YX6CL4KH.js";
import "../../chunk-CFICINSP.js";
import "../../chunk-MSASB4XB.js";
import "../../chunk-UOAPXGA4.js";
import "../../chunk-EAYWSLQT.js";
import "../../chunk-I7BWSAN6.js";

// src/common/msg/channel-resilient.spec.ts
describe("channel-resilient.spec", () => {
  it("should buffer", async () => {
    const rc = new ResillientChannel();
    rc.postMessage("1");
    const d1 = new DebugChannel();
    rc.setChannel(d1);
    expect(d1.messages).toMatchInlineSnapshot(`
      Array [
        "1",
      ]
    `);
    rc.postMessage("2");
    expect(d1.messages).toMatchInlineSnapshot(`
      Array [
        "1",
        "2",
      ]
    `);
    rc.deleteChannel();
    rc.postMessage("3");
    expect(d1.messages).toMatchInlineSnapshot(`
      Array [
        "1",
        "2",
      ]
    `);
    const d2 = new DebugChannel();
    rc.setChannel(d2);
    expect(d2.messages).toMatchInlineSnapshot(`
      Array [
        "3",
      ]
    `);
  });
});
//# sourceMappingURL=channel-resilient.spec.js.map